> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List bucket access keys

> Lists IAM access keys associated with an object storage bucket. Secrets are never returned by this endpoint.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /storage/buckets/{id}/access_keys
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /storage/buckets/{id}/access_keys:
    get:
      tags:
        - Object Storage
      summary: List bucket access keys
      description: >-
        Lists IAM access keys associated with an object storage bucket. Secrets
        are never returned by this endpoint.
      operationId: get-storage-bucket-access-keys
      parameters:
        - name: id
          in: path
          required: true
          description: The object storage (bucket) ID
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - name: key1
                        username: testuser+key1@example.com
                        access_key_id: AKIA123456789
                        status: Active
                        created_at: '2024-01-01T00:00:00Z'
                        access: fullaccess
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      description: >-
                        Access key metadata. Exact fields depend on the storage
                        provider.
                      properties:
                        name:
                          type: string
                        username:
                          type: string
                        access_key_id:
                          type: string
                        status:
                          type: string
                        created_at:
                          type: string
                        access:
                          type: string
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              examples:
                Unauthorized:
                  value:
                    errors:
                      - code: USER_AUTHORIZATION_ERROR
                        status: forbidden
                        title: User Authorization Error
                        detail: You are not authorized to perform this action.
                        meta: {}
              schema:
                $ref: '#/components/schemas/error_object'
        '404':
          description: Not Found
          content:
            application/vnd.api+json:
              examples:
                NotFound:
                  value:
                    errors:
                      - code: NOT_FOUND
                        message: Object storage not found
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.ObjectStorage.GetStorageBucketAccessKeys(ctx, \"<id>\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Object != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.objectStorage.getStorageBucketAccessKeys({
                id: "<id>",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````